gnutls_priority_set_direct(3)

NAME
gnutls_priority_set_direct - Sets priorities for the cipher suites supported by gnutls.

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_priority_set_direct(gnutls_session_t session, const char * priorities, const char ** err_pos);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

const char * priorities
    is a string describing priorities

const char ** err_pos
    In case of an error this will have the position in the string the error occured

DESCRIPTION
Sets the priorities to use on the ciphers, key exchange methods, macs and compression methods. This function avoids keeping a priority cache and is used to directly set string priorities to a TLS session. For documentation check the gnutls_priority_init().

RETURNS
On syntax error GNUTLS_E_INVALID_REQUEST is returned, GNUTLS_E_SUCCESS on success, or an error code.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.